#
# spec file for package xp (Version 0.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  java
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip java kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         xp
Copyright:    1999 - not specified
Group:      Applications/Publishing
Requires:     java_runtime
Autoreqprov:  on
Version:      0.5
Release:      289
Summary:      An XML Parser in Java
%define XP_NAME xp.zip
Source:       ftp://ftp.jclark.com/pub/xml/xp.zip
#Patch:   
BuildArchitectures: noarch
BuildRoot:  /var/tmp/%{name}-root

%description
From index.html:
XP is an XML 1.0 parser written in Java. It is fully conforming: it
detects all non well-formed documents.  It is currently not a validating
XML processor.  However it can parse all external entities: external DTD
subsets, external parameter entities and external general entities.
You'll find the documentation in /usr/share/doc/packages/xp.

Authors:
--------
    James Clark <jjc@jclark.com>

SuSE series: sgm

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
rm -fr xp
%{INSTALL_DIR} xp
pushd xp
unzip -a $RPM_SOURCE_DIR/%{XP_NAME}
popd

%install
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/lib/xml
%{INSTALL_DATA} xp/xp.jar $RPM_BUILD_ROOT/usr/lib/xml/xp.jar
# docu
%{INSTALL_DIR} $RPM_BUILD_ROOT/%{_defaultdocdir}/xp
pushd xp/docs
cp -a * $RPM_BUILD_ROOT/%{_defaultdocdir}/xp
popd
export RPM_BUILD_ROOT

%files
%defattr(-, root, root)
# %doc xp/docs
%{_defaultdocdir}/xp
/usr/lib/xml/xp.jar

%changelog -n xp
* Mon May 15 2000 - ke@suse.de
- use %%{_defaultdocdir}.
- spec file: add group tag.
* Mon Sep 20 1999 - ro@suse.de
- added Requires java_runtime
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 09 1999 - ke@suse.de
- It's Java, it's BuildArchitectures: noarch.
* Sat Aug 07 1999 - ke@suse.de
- New package: version 0.5
